Subject: bug#37044: 27.0.50; url-http breaks behind proxy when reusing existing connection

From: David Ringo <[email-masked]>
Date: Fri, 16 Aug 2019 18:58:18 -0600

Hi Thomas,

I haven't been able to test on the machine I submitted the report from, but
on some other shared machines behind the proxy, it looks like your fix
seems to work (while the revision I was on is still broken on those
machines). Thanks for all the work on the other bug -- that seemed like a
long process.

I'm not super familiar with debbugs, but if there's anything I should do to
mark this as closed or resolved, please let me know.

- David

On Fri, Aug 16, 2019 at 11:06 AM Thomas Fitzsimmons <[email-masked]>
wrote:

> Hi David,
>
> David Ringo <[email-masked]> writes:
>
> > It seems that commit 84613dae5c3 is at least partially responsible for
> > this.  It's a small change to `url-https-proxy-after-change-function'
> > that binds `url-http-proxy' around the call to
> > `url-http-create-request'.
>
> This might be addressed by the fix for bug#35969 that I pushed last
> night, can you retry with master tip?
>
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35969
>
> Thanks,
> Thomas
>